dialog (1.3-20250817-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 31 Aug 2025 18:25:00 +0200

dialog (1.3-20250116-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/salsa-ci.yml.
  * Do not trim Debian changelog.
  * Add Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Thu, 23 Jan 2025 12:45:00 +0100

dialog (1.3-20240307-2) unstable; urgency=medium

  * Fix Breaks and Replaces fields. Closes: #1068634.
    Thanks to Helmut Grohne for the report.

 -- Santiago Vila <sanvila@debian.org>  Mon, 08 Apr 2024 12:40:00 +0200

dialog (1.3-20240307-1) unstable; urgency=medium

  [ Santiago Vila ]
  * New upstream release.
  * Rules-Requires-Root: no.
  * Fix typo in debian/copyright.
  * Update debian/upstream/signing-key.asc.
  [ Sven Joachim ]
  * Split out libdialog-dev into its own package. Closes: #1012325.
  * Build a shared library.
  * Add libtool-bin to Build-Depends.

 -- Santiago Vila <sanvila@debian.org>  Sun, 07 Apr 2024 12:40:00 +0200

dialog (1.3-20240101-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 23 Jan 2024 18:05:00 +0100

dialog (1.3-20231002-1) unstable; urgency=medium

  * New upstream release.
  * Make debian/copyright machine-readable.
  * Update debian/watch file. Closes: #1043472.

 -- Santiago Vila <sanvila@debian.org>  Tue, 31 Oct 2023 10:22:00 +0100

dialog (1.3-20230209-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Feb 2023 18:20:00 +0100

dialog (1.3-20221229-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Santiago Vila <sanvila@debian.org>  Thu, 05 Jan 2023 15:25:00 +0100

dialog (1.3-20220728-1) unstable; urgency=medium

  * New upstream release.
  * Fix segfault when passing large line to editbox. Closes: #1003185.
  * Fix segfault when resizing menu. Closes: #1004868.
  * Make --max-input work for sizes greater than 2048. Closes: #1004874.
  * Add missing ${misc:Depends} to Depends field.
  * Update standards version to 4.6.1.
  * Trim trailing whitespace.

 -- Santiago Vila <sanvila@debian.org>  Fri, 16 Dec 2022 14:40:00 +0100

dialog (1.3-20211214-1) unstable; urgency=medium

  * New upstream release.
  * Fix height-computation for fselect and timebox. Closes: #990043.
  * Fix off-by-one calendar bug. Closes: #1000720.
  * Update debian/upstream/signing-key.asc.
  * Change build-depends to libncurses-dev.

 -- Santiago Vila <sanvila@debian.org>  Tue, 04 Jan 2022 00:30:00 +0100

dialog (1.3-20201126-1) unstable; urgency=medium

  * New upstream release.
  * Fix automatic box height. Closes: #915949.
  * Fix return code for last-key feature. Closes: #942025.
  * Backtitle should no longer disappear on resize. Closes: #954185.
  * Fix program abort on resize. Closes: #954220.
  * Fix options --aspect and --tab-len. Closes: #970508.
  * Add Multi-Arch: foreign. Closes: #973318.
  * Switch to dh.

 -- Santiago Vila <sanvila@debian.org>  Sun, 03 Jan 2021 00:25:00 +0100

dialog (1.3-20190808-1) unstable; urgency=low

  * New upstream release.
  * Fixed in upstream version 1.3-20190724:
  - Reduce the chance that dialog exits on a SIGWINCH. Closes: #930775.

 -- Santiago Vila <sanvila@debian.org>  Tue, 27 Aug 2019 18:32:54 +0200

dialog (1.3-20190211-1) unstable; urgency=low

  * New upstream release (misc fixes).

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Feb 2019 23:44:16 +0100

dialog (1.3-20181022-1) unstable; urgency=medium

  * New upstream release.
  * Bugs fixed in the previous upstream release 1.3-20180621:
  - Improve handling of SIGWINCH for several widgets. Closes: #865840.
  - Improve documentation of the various whitespace-filtering options,
    to show which take precedence. Closes: #867536.
  * Add menubox11 to examples directory.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Oct 2018 22:30:24 +0100

dialog (1.3-20171209-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Dec 2017 20:20:16 +0100

dialog (1.3-20160828-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Allow cross-build. Use triplet-prefixed strip. Closes: #837950.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Nov 2016 19:15:50 +0100

dialog (1.3-20160828-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 29 Aug 2016 22:36:10 +0100

dialog (1.3-20160424-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 22 May 2016 22:38:30 +0200

dialog (1.3-20160209-1) unstable; urgency=low

  * New upstream release.
  * Put library in multiarch location. Closes: #812913.
    Thanks to Matthias Klose.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Feb 2016 18:52:02 +0100

dialog (1.2-20150920-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/upstream/signing-key.asc and a simple debian/watch file.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Sep 2015 23:20:00 +0200

dialog (1.2-20150528-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 May 2015 13:48:50 +0200

dialog (1.2-20150513-1) unstable; urgency=low

  * New upstream release.
  * Cursor keys should now work after tab in --editbox. Closes: #775294.
  * Fixed ok/cancel shortcuts in --menu dialogs. Closes: #775295.
  * Make the build reproducible, by using gzip -n and setting timestamps
    before building binary package.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 13:38:06 +0200

dialog (1.2-20140911-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 01 Oct 2014 17:20:50 +0200

dialog (1.2-20140219-1) unstable; urgency=medium

  * New upstream release. Fixes manpage bugs.
    Closes: #726233, #739180, #739181.

 -- Santiago Vila <sanvila@debian.org>  Thu, 06 Mar 2014 15:49:40 +0100

dialog (1.2-20140112-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 12 Feb 2014 17:19:52 +0100

dialog (1.2-20130928-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Oct 2013 00:42:32 +0200

dialog (1.2-20130923-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 30 Sep 2013 23:42:52 +0200

dialog (1.2-20130523-1) unstable; urgency=medium

  * New upstream release.
  * There is now a --last-key option. Closes: #697607.
  * Fixed problem with new ncurses. Closes: #708829.

 -- Santiago Vila <sanvila@debian.org>  Fri, 24 May 2013 11:06:30 +0200

dialog (1.2-20121230-1) unstable; urgency=low

  * New upstream release.
  * Dropped patches/01-fix-for-ubuntu-bug-333909. Applied upstream.
  * Dropped patches/99-config-guess-config-sub. Obsolete now.
  * Double-quoting is now more consistent. Closes: #663664.
  * The way "hotkeys" are assigned to widget buttons has been
    improved. Closes: #684933.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 May 2013 18:10:00 +0200

dialog (1.1-20120215-3) unstable; urgency=low

  * Updated config.guess and config.sub for arm64. Closes: #689615.

 -- Santiago Vila <sanvila@debian.org>  Wed, 10 Oct 2012 17:25:06 +0200

dialog (1.1-20120215-2) unstable; urgency=low

  * Applied Ubuntu patch from Lebedev Vadim to fix -rename and -nook.
    Reported by Serge Hallyn. Closes: #673041.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Jun 2012 13:17:12 +0200

dialog (1.1-20120215-1) unstable; urgency=low

  * New upstream release.
  * Get CFLAGS and friends from dpkg-buildflags.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 Mar 2012 17:41:42 +0100

dialog (1.1-20111020-1) unstable; urgency=low

  * New upstream release.
  * Fixes segfault in inputbox. Closes: #646072.

 -- Santiago Vila <sanvila@debian.org>  Fri, 21 Oct 2011 11:00:08 +0200

dialog (1.1-20111018-1) unstable; urgency=low

  * New upstream release. Summary of changes fixing Debian bugs:
  * dialog --fselect "" now scans the current directory (Closes: #640905).
  * Added color table entries for secondary borders (Closes: #641168).
  * Improved manpage regarding exit status (Closes: #642105).
  * Added DLGK_FORM_PREV and DLGK_FORM_NEXT key-bindings to allow binding
    a single key to traverse both form-fields and buttons. Added also a
    suitable example to the manpage (Closes: #642108).

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Oct 2011 10:31:22 +0200

dialog (1.1-20110707-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 09 Jul 2011 22:24:44 +0200

dialog (1.1-20110630-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/copyright. Dialog as a whole is under LGPL 2.1
    (without "or any later version"). Closes: #632198.

 -- Santiago Vila <sanvila@debian.org>  Fri, 01 Jul 2011 18:23:50 +0200

dialog (1.1-20110302-1) unstable; urgency=low

  * New upstream release.
  * Added --disable-rpath-hack to debian/rules configure call.
  * Correct handling of SIGWINCH in gauge widget (Closes: #305705).
  * Account for combining characters when wrapping text (Closes: #570634).

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 May 2011 17:39:00 +0200

dialog (1.1-20100428-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/rules clean target: s/Makefile/makefile/.
  * Fixed an infinite loop in dlg_button_layout(). Closes: #579390.

 -- Santiago Vila <sanvila@debian.org>  Fri, 07 May 2010 20:25:48 +0200

dialog (1.1-20100119-2) unstable; urgency=low

  * Include support files required by sample scripts. Closes: #571064.
  * Switch to 3.0 (quilt) source format (with 0 patches).
  * Drop INSTALL_PROGRAM stuff from debian/rules, use appropriate strip
    options for each object to be stripped.

 -- Santiago Vila <sanvila@debian.org>  Tue, 23 Feb 2010 15:49:24 +0100

dialog (1.1-20100119-1) unstable; urgency=low

  * New upstream release.
  * Added homepage field to control file.
  * Do not ignore errors from make distclean (lintian warning).
  * Removed .comment section from executable (lintian warning).
  * Put dialog.pl in /usr/share/perl5 where it should be.

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Feb 2010 14:11:40 +0100

dialog (1.1-20080819-1) unstable; urgency=low

  * New upstream release to address problem with deborphan.
    The checklist widget, by default, no longer quotes its output
    if --separate-output is used. Closes: #495600, #495725.

 -- Santiago Vila <sanvila@debian.org>  Wed, 20 Aug 2008 11:45:16 +0200

dialog (1.1-20080727-1) unstable; urgency=low

  * New upstream release.
  * Should fix bashisms in example scripts. Closes: #489563.

 -- Santiago Vila <sanvila@debian.org>  Mon,  4 Aug 2008 12:27:26 +0200

dialog (1.1-20080316-1) unstable; urgency=low

  * New upstream release.
  * Fixed segfault in formbox. Closes: #469190.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Mar 2008 19:45:10 +0100

dialog (1.1-20071028-3) unstable; urgency=low

  * Build with -fPIC. Required by gnunet. Closes: #457263. Note that
    this is just a temporary workaround for Bug#454948. There will
    be a shared library in the near future.
  * Added Provides: libdialog-dev. Packages who build-depend on dialog
    because of its library *must* now depend on libdialog-dev instead.
  * Changed extended description to mention editor. Closes: #463234.

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Feb 2008 16:52:52 +0100

dialog (1.1-20071028-2) unstable; urgency=low

  * Modified debian/rules to support cross compilation. Closes: #451147.

 -- Santiago Vila <sanvila@debian.org>  Tue,  5 Feb 2008 13:30:06 +0100

dialog (1.1-20071028-1) unstable; urgency=low

  * New upstream release. No longer breaks some scripts. Closes: #443077.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Nov 2007 19:00:06 +0100

dialog (1.1-20070930-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Oct 2007 07:47:36 +0200

dialog (1.1-20070604-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue,  5 Jun 2007 07:31:40 +0200

dialog (1.1-20070528-1) unstable; urgency=low

  * New upstream release. Should fix #423732 the right way.

 -- Santiago Vila <sanvila@debian.org>  Mon, 28 May 2007 17:08:30 +0200

dialog (1.1-20070514-1) unstable; urgency=low

  * New upstream release.
  * Fixed timeout regression (Closes: #418905).
  * Fixed tailbox regression (Closes: #423732).

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 May 2007 14:11:00 +0200

dialog (1.1-20070409-2) unstable; urgency=low

  * Fixed behaviour of right arrow (Closes: #418917).
    Patch by the author. Thanks to Daniel Lublin for the report.

 -- Santiago Vila <sanvila@debian.org>  Sat, 21 Apr 2007 17:40:28 +0200

dialog (1.1-20070409-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 10:56:56 +0200

dialog (1.1-20070325-1) unstable; urgency=low

  * New upstream release.
  * Resizing of msgbox should now work (Closes: #415022).
  * Fixed documentation regarding gauge and "XXX" string (Closes: #415596).

 -- Santiago Vila <sanvila@debian.org>  Sun,  1 Apr 2007 14:23:12 +0200

dialog (1.1-20070227-1) unstable; urgency=low

  * New upstream release.
  * Added option --editbox (Closes: #368478).
  * Added option --keep-tite (Closes: #380665).
  * Available soon: shared libraries (but not yet).

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 Mar 2007 15:00:10 +0200

dialog (1.0-20060221-3) unstable; urgency=medium

  * Fixed regression in pause box. Patch by the author. Closes: #409254.

 -- Santiago Vila <sanvila@debian.org>  Fri,  2 Feb 2007 18:23:26 +0100

dialog (1.0-20060221-2) unstable; urgency=medium

  * Fixed regression in form box. Patch by the author. Closes: #404045.

 -- Santiago Vila <sanvila@debian.org>  Mon,  1 Jan 2007 19:25:16 +0100

dialog (1.0-20060221-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 24 Feb 2006 19:07:04 +0100

dialog (1.0-20060126-1) unstable; urgency=low

  * New upstream release.
  * Fixed normal menus, which didn't return the choice (Closes: #349969).

 -- Santiago Vila <sanvila@debian.org>  Fri, 27 Jan 2006 17:26:12 +0100

dialog (1.0-20060119-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 22 Jan 2006 13:51:46 +0100

dialog (1.0-20060101-1) unstable; urgency=low

  * New upstream release.
  * Fixed segfault problem in tailboxbg (Closes: #345524).

 -- Santiago Vila <sanvila@debian.org>  Mon,  2 Jan 2006 14:08:10 +0100

dialog (1.0-20051219-1) unstable; urgency=low

  * New upstream release.
  * Added sv.po (Closes: #343303). Please join the Free Translation Project.
  * Fixed segfault problem in the previous release (Closes: #344002).

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Dec 2005 18:59:36 +0100

dialog (1.0-20051207-1) unstable; urgency=low

  * New upstream release.
  * License is now LGPL, see the upstream changelog for details.

 -- Santiago Vila <sanvila@debian.org>  Wed, 14 Dec 2005 19:26:16 +0100

dialog (1.0-20051107-1) unstable; urgency=low

  * New upstream release.
  * Fixes a problem with dlg_add_result in libdialog (Closes: #336986).
  * The previous release improved performance with large menus, by using
    tsearch() instead of a linked-list search (Closes: #294853).

 -- Santiago Vila <sanvila@debian.org>  Tue,  8 Nov 2005 19:08:34 +0100

dialog (1.0-20051030-1) unstable; urgency=low

  * New upstream release.
  * Fixed a bug where cursor was wrongly placed (Closes: #333506).

 -- Santiago Vila <sanvila@debian.org>  Mon, 31 Oct 2005 17:52:42 +0100

dialog (1.0-20051005-1) unstable; urgency=medium

  * New upstream release.
  - Fixed interaction between --separate-output and --output-separator,
    broken in the previous version (Closes: #331440).

 -- Santiago Vila <sanvila@debian.org>  Thu,  6 Oct 2005 20:09:12 +0200

dialog (1.0-20050911-1) unstable; urgency=low

  * New upstream release.
  - Added Large File Support (Closes: #298882).
  - The gauge widget now handles SIGWINCH (Closes: #305705).
  - Updated translations (Closes: #312622).
  - Fixed segfault problem when using multiple widgets (Closes: #326918).

 -- Santiago Vila <sanvila@debian.org>  Mon, 12 Sep 2005 15:18:50 +0200

dialog (1.0-20050306-1) unstable; urgency=low

  * New upstream release (updated translations).

 -- Santiago Vila <sanvila@debian.org>  Sun,  6 Mar 2005 20:22:00 +0100

dialog (1.0-20050206-1) unstable; urgency=low

  * New upstream release.
  * The formbox widget now displays fields with flen==0 (Closes: #292417).
  * Clarified manpage about output from formbox widget (Closes: #292418).

 -- Santiago Vila <sanvila@debian.org>  Mon,  7 Feb 2005 16:35:12 +0000

dialog (1.0-20050116-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Jan 2005 20:01:30 +0100

dialog (1.0-20041222-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Santiago Vila <sanvila@debian.org>  Thu, 23 Dec 2004 13:04:20 +0100

dialog (1.0-20041219-1) unstable; urgency=low

  * New upstream release.
  - Fixed help output for --fselect (Closes: #284008).
  - Changed to allow iso-8859-1 chars when LANG=C (Closes: #284795).
  * Added "pause" to the examples directory, for the new "pause" widget.

 -- Santiago Vila <sanvila@debian.org>  Tue, 21 Dec 2004 17:00:10 +0100

dialog (1.0-20041118-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Nov 2004 14:48:12 +0100

dialog (1.0-20040920-1) unstable; urgency=low

  * New upstream bugfix release.
  - Updated da.po (Closes: #262587).

 -- Santiago Vila <sanvila@debian.org>  Sat, 16 Oct 2004 18:42:50 +0200

dialog (1.0-20040731-1) unstable; urgency=low

  * New upstream release. Fixes "screen too small" problem (Closes: #262411).
  * Added menubox10, checklist10 and radiolist10 to the examples directory.

 -- Santiago Vila <sanvila@debian.org>  Sat, 31 Jul 2004 14:34:20 +0200

dialog (1.0-20040729-1) unstable; urgency=low

  * New upstream (bugfix) release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 30 Jul 2004 19:10:32 +0200

dialog (1.0-20040728-1) unstable; urgency=low

  * New upstream (bugfix) release.

 -- Santiago Vila <sanvila@debian.org>  Thu, 29 Jul 2004 17:46:06 +0200

dialog (1.0-20040721-1) unstable; urgency=low

  * New upstream "1.0" release.

 -- Santiago Vila <sanvila@debian.org>  Thu, 22 Jul 2004 19:16:54 +0200

dialog (0.9b-20040606-1) unstable; urgency=low

  * New upstream release.
  - Added Catalan .po file (Closes: #251787).
  - Improved documentation about wrapping (Closes: #251937).
  - Modified msgbox to allow it to scroll vertically (Closes: #233276).

 -- Santiago Vila <sanvila@debian.org>  Mon,  7 Jun 2004 19:33:06 +0200

dialog (0.9b-20040421-1) unstable; urgency=low

  * New upstream release.
  - Typed keys before dialog is invoked are discarded (Closes: #244746).
  - Fixed dlg_match_char() function (Closes: #244777).

 -- Santiago Vila <sanvila@debian.org>  Thu, 22 Apr 2004 15:49:40 +0200

dialog (0.9b-20040316-1) unstable; urgency=low

  * New upstream (bugfix) release.

 -- Santiago Vila <sanvila@debian.org>  Thu, 18 Mar 2004 18:53:18 +0100

dialog (0.9b-20040314-1) unstable; urgency=low

  * New upstream release.
  - Fixed missing bounds check for mouse-clicks in menubox (Bug #233044).
  - Modified checklist.c to add item name to the "HELP" string when
    "--help-button" is used and no --item-help option is given.
    (Closes: #236841).

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Mar 2004 17:01:16 +0100

dialog (0.9b-20040301-1) unstable; urgency=low

  * New upstream release.
  - The interaction between "--default-no" and "--no-cancel" is now
    documented (Closes: #223488).
  - The --default-item option now works with checklist too (Closes: #225255).
  - There are now Ukrainian messages (Closes: #232441).
  - Fixed a segfault problem in checklist (Closes: #233044).

 -- Santiago Vila <sanvila@debian.org>  Tue,  2 Mar 2004 19:10:02 +0100

dialog (0.9b-20031207-1) unstable; urgency=low

  * New upstream release. Fixes infinite loop when using both "--no-cancel"
    and "--defaultno" in a yesno widget (Closes: #223077).

 -- Santiago Vila <sanvila@debian.org>  Mon,  8 Dec 2003 14:02:46 +0100

dialog (0.9b-20031130-1) unstable; urgency=low

  * New upstream release.
  - The "--defaultno" option now also applies to widgets which use
    OK/Cancel buttons (Closes: #209030).
  - There is now a "--help-status" option which allows scripts to
    restore a checklist or radiolist after processing an item-help
    string (Closes: #209031).
  - Now "dialog --no-shadow --print-maxsize" should work (Closes: #213424).
  - The "--stdout" option is no longer assumed if the script using dialog
    redirects the standard output. Use the new environment variable
    DIALOG_TTY to get the old behaviour (Closes: #213425).
  - Exit codes should now be properly documented (Closes: #217926).
  - There are more new features, like the --insecure option for entering
    passwords, see the upstream changelog for details.
  * Added a lot of examples to /usr/share/doc/dialog/examples.

 -- Santiago Vila <sanvila@debian.org>  Fri,  5 Dec 2003 16:49:22 +0100

dialog (0.9b-20031002-1) unstable; urgency=low

  * New upstream (bugfix) release.

 -- Santiago Vila <sanvila@debian.org>  Fri,  3 Oct 2003 19:20:02 +0200

dialog (0.9b-20030924-1) unstable; urgency=low

  * New upstream (bugfix) release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Sep 2003 13:55:20 +0200

dialog (0.9b-20030910-1) unstable; urgency=low

  * New upstream release.
  * Support for multibyte characters should now be complete (Closes: #195674).
  * Fixed "RENAMED" result from inputmenu widget (Closes: #209336).

 -- Santiago Vila <sanvila@debian.org>  Thu, 11 Sep 2003 11:31:14 +0200

dialog (0.9b-20030830-1) unstable; urgency=low

  * New upstream release, modifies howmany_tags() so that it quits searching
    when it finds any option, not only "--and-widget" (Closes: #206636).
  * Lots of other fixes. See the upstream changelog for details.

 -- Santiago Vila <sanvila@debian.org>  Sun, 31 Aug 2003 13:32:38 +0200

dialog (0.9b-20030820-1) unstable; urgency=low

  * New upstream release. Should build from source (Closes: #206287).

 -- Santiago Vila <sanvila@debian.org>  Thu, 21 Aug 2003 11:36:38 +0200

dialog (0.9b-20030818-1) unstable; urgency=low

  * New upstream release. It should fix the following bugs:
  - Correct layout of --menu widget (Closes: #201215).
  - Use consistent definition of $DIALOG in examples (Closes: #205508).
  - Exit with error if it cannot find a way to do output (Closes: #205509).
  * Changed Build-Depends to libncursesw5-dev (>= 5.3) for multibyte support
    and added --with-ncursesw to the debian/rules configure line accordingly.
  * Added a lot of samples to the examples directory.
  * Converted debian changelog to utf8.

 -- Santiago Vila <sanvila@debian.org>  Tue, 19 Aug 2003 17:50:48 +0200

dialog (0.9b-20030720-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Jul 2003 19:41:38 +0200

dialog (0.9b-20030308-2) unstable; urgency=low

  * Include /usr/include/dialog.h (Closes: #200078).

 -- Santiago Vila <sanvila@debian.org>  Sat,  5 Jul 2003 13:43:28 +0200

dialog (0.9b-20030308-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat,  8 Mar 2003 21:41:38 +0100

dialog (0.9b-20030302-1) unstable; urgency=medium

  * New upstream release, fixes uninitialized value in dlg_add_result().
    Closes: #182683.

 -- Santiago Vila <sanvila@debian.org>  Sun,  2 Mar 2003 19:45:08 +0100

dialog (0.9b-20030130-1) unstable; urgency=low

  * New upstream release. Closes: #168823. From the CHANGES file:
  - corrected print_line(), which subtracted the margin twice from the
    right-limit, making a string wrap unnecessarily.
  - correct initial limit-check for arrows in checklist.c, which used
    the wrong variable, showing the bottom arrow when it should not.
  * There is now an --inputmenu option. See inputmenu1 to inputmenu4.

 -- Santiago Vila <sanvila@debian.org>  Sat,  1 Feb 2003 18:28:40 +0100

dialog (0.9b-20020814-1) unstable; urgency=low

  * New upstream release, there is --output-fd now (Closes: #153984).
    See inputbox4 and inputbox5 in /usr/share/doc/dialog/examples.
  * Standards-Version: 3.5.7.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Sep 2002 14:46:18 +0200

dialog (0.9b-20020519-1) unstable; urgency=low

  * New upstream release. New options: --no-collapse and --exit-label.
  * Updated de.po (Closes: #146402).

 -- Santiago Vila <sanvila@debian.org>  Sun, 26 May 2002 13:36:14 +0200

dialog (0.9a-20020309a-1) unstable; urgency=low

  * New upstream release. Some changes:
  - Added --timeout option.
  - checklist and menubox now ignore empty button labels. (Bug #134388).
    This should allow modconf to depend on dialog or whiptail.
  * Added some more examples to /usr/share/doc/dialog/examples.

 -- Santiago Vila <sanvila@debian.org>  Sun, 10 Mar 2002 15:34:08 +0100

dialog (0.9a-20011202-1) unstable; urgency=low

  * New upstream release. Some changes:
  - Added --ok-label and --cancel-label options.
  - A global rc file /etc/dialogrc is now supported.

 -- Santiago Vila <sanvila@debian.org>  Mon,  3 Dec 2001 17:13:35 +0100

dialog (0.9a-20011111-1) unstable; urgency=low

  * New upstream release. From the upstream changelog:
  - modify command-line parsing to allow a "--" argument to act as an
    escape, so the next argument is not recognized as an option if it
    begins with "--".  This is apparently one of popt's undocumented
    features, upon which some Debian scripts depend (See Bug#116642).
  * Added support for DEB_BUILD_OPTIONS. This can now be made without
    modifying the upstream makefile, since -s has been removed from the
    normal install target.

 -- Santiago Vila <sanvila@debian.org>  Mon, 12 Nov 2001 15:10:05 +0100

dialog (0.9a-20011014-2) unstable; urgency=medium

  * Fixed uninitialized use of my_output in util.c (Closes: #117177).
    Thanks a lot to Richard Braakman for the report and the patch.

 -- Santiago Vila <sanvila@debian.org>  Sat, 27 Oct 2001 18:58:56 +0200

dialog (0.9a-20011014-1) unstable; urgency=low

  * New upstream release, should fix the following bugs:
  - Allow scripts to alter the exit codes, mainly to distinguish ESC and
    ERROR exits. This is done by setting a shell variable such as DIALOG_ESC
    to a new value (Closes: #99264).
  - Modified dialog.pl to avoid using a statically-named tempfile, allowing
    multiple processes to use this script (Closes: #110609).
  * Added new sample script msgbox2 to the examples directory.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Oct 2001 19:58:22 +0200

dialog (0.9a-20010827-1) unstable; urgency=low

  * New upstream release, dialog --clear should now work (Closes: #110254).

 -- Santiago Vila <sanvila@debian.org>  Sat, 13 Oct 2001 20:14:15 +0200

dialog (0.9a-20010811-1) unstable; urgency=low

  * New upstream release, bug fixes plus a rewrite of tailboxbg.
  * dlg_trim_string() now retains literal newlines if the string does not
    contain "\\n" strings, and leading blanks on the resulting lines,
    for compatibility with older scripts (Closes: #102942).

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Aug 2001 17:25:06 +0200

dialog (0.9a-20010527-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 28 May 2001 14:30:52 +0200

dialog (0.9a-20010429-1) unstable; urgency=low

  * New upstream release, rewritten text justification code.

 -- Santiago Vila <sanvila@debian.org>  Mon, 30 Apr 2001 19:45:03 +0200

dialog (0.9a-20010415-1) unstable; urgency=low

  * New upstream release, adds calendar and timebox dialogs.
  * Added `calendar' and `timebox' to the examples directory.

 -- Santiago Vila <sanvila@debian.org>  Mon, 16 Apr 2001 16:44:26 +0200

dialog (0.9a-20010115-2) unstable; urgency=low

  * Updated config.sub for S/390 (Closes: #85810).

 -- Santiago Vila <sanvila@debian.org>  Sat, 14 Apr 2001 17:42:59 +0200

dialog (0.9a-20010115-1) unstable; urgency=medium

  * New upstream release.
  * Closes: #80641: dialog --gauge "test" 10 50 segfaults.

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Jan 2001 14:43:12 +0100

dialog (0.9a-20001217-1) unstable; urgency=high

  * New upstream release, fixes a bug in real_auto_size() introduced in
    version 20001213. (Thanks to Raphaël Halimi for the report).

 -- Santiago Vila <sanvila@debian.org>  Mon, 18 Dec 2000 20:05:01 +0100

dialog (0.9a-20001213-1) unstable; urgency=high

  * New upstream release, featuring:
  - justify_text() now does text flow even when the string contains
    newlines (Closes: #77199).
  - Fixed manpage regarding --fselect (Closes: #77200).
  - Lock files in /tmp are now created securely (Closes: #78951).
    (Thanks to Matt Kraai, Chris Butler and Wichert Akkerman).

 -- Santiago Vila <sanvila@debian.org>  Thu, 14 Dec 2000 19:47:36 +0100

dialog (0.9a-20001027-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue,  7 Nov 2000 12:43:18 +0100

dialog (0.9a-20001017-1) unstable; urgency=low

  * New upstream release, fixes a segfault problem (Closes: #74903).

 -- Santiago Vila <sanvila@debian.org>  Thu, 19 Oct 2000 14:25:28 +0200

dialog (0.9a-20000730-1) unstable; urgency=low

  * Build-Depends: libncurses-dev, gettext.
  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 29 Aug 2000 19:00:30 +0200

dialog (0.9a-20000629-1) unstable; urgency=low

  * New upstream release.
  * Moved to `misc' section.

 -- Santiago Vila <sanvila@debian.org>  Tue,  4 Jul 2000 12:35:47 +0200

dialog (0.9a-20000425-1) unstable; urgency=low

  * New upstream release. Some new features since the last Debian release:
  - Implemented message i18n (Closes: #54537).
  - Added --default-item option, for menubox to set the default
    selection (Closes: #49352, #49796).
  - On initialization, check if standard input is from a terminal.
    If not, open /dev/tty (Bug #57771).
  - Several usability improvements. See the upstream changelog.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 26 Apr 2000 17:07:40 +0200

dialog (0.9a-20000118-3) frozen unstable; urgency=low

  * Fixed a lot of strange permissions in the doc directory.
  * Rebuilt using libncurses5.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 28 Jan 2000 18:36:44 +0100

dialog (0.9a-20000118-2) frozen unstable; urgency=medium

  * Test the math library by using the `sqrt' function, since this is
    the function used in util.c. This should really allow dialog
    to be built on the m68k architecture (Bug #55553).

 -- Santiago Vila <sanvila@ctv.es>  Thu, 20 Jan 2000 18:30:40 +0100

dialog (0.9a-20000118-1) frozen unstable; urgency=medium

  * New upstream release. It fixes the following bugs:
  - Readds the --guage option for backwards compatibility, just in case.
    This option will remain undocumented, however.
  - Change 'ch' variable in tailbox.c to an integer, because it is
    compared against EOF (Bug #53157, portability problem under ARM).
  - Suppress xterm's alternate screen mode (Bug #55181).
  - Change yellow lettering on white to blue on white, since it
    offers better contrast (Bug #51196).
  - The manpage has been updated (Bug #25648).

 -- Santiago Vila <sanvila@ctv.es>  Wed, 19 Jan 2000 11:00:36 +0100

dialog (0.9a-20000101-1) unstable; urgency=low

  * New upstream release, maintained by Thomas Dickey <dickey@clark.net>.
  - The "gauge" word is now rightly spelled (reported several times).
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 13 Jan 2000 12:44:16 +0100

dialog (0.9a-17) unstable; urgency=low

  * Updated GPL location in copyright file.
  * New features contributed by Joey Hess <joey@kitenet.net>:
  - Added a --passwordbox option, for entering passwords.
  - Added a --defaultno option, to change the --yesno default to `no'.

 -- Santiago Vila <sanvila@ctv.es>  Fri,  8 Oct 1999 10:45:56 +0200

dialog (0.9a-16) unstable; urgency=low

  * Fixed bug #28213: dialog --inputbox doesn't show cursor.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 10 Mar 1999 13:48:54 +0100

dialog (0.9a-15) frozen unstable; urgency=low

  * checklist.c: Make sure list_height >= 1 (Bug #22239).

 -- Santiago Vila <sanvila@ctv.es>  Wed,  9 Dec 1998 21:23:09 +0100

dialog (0.9a-14) unstable; urgency=medium

  * Replaced scroll(foo) by wscrl(foo, 1) in checklist.c and menubox.c,
    since scroll is a variable. Reported by Colin Smith.
  * Removed hardcoded -I/usr/include/ncurses from CFLAGS in Makefile.
  * Rebuilt using libncurses4.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 23 Oct 1998 20:51:51 +0200

dialog (0.9a-13) unstable; urgency=low

  * Added support for pgup/pgdn in menu mode, and some cleanup. Thanks to
    Zephaniah E, Hull <warp@whitestar.soark.net>, who contributed the patch.
  * Installed some examples in /usr/doc/dialog/examples.

 -- Santiago Vila <sanvila@ctv.es>  Sat, 12 Sep 1998 18:19:59 +0200

dialog (0.9a-12.0) frozen unstable; urgency=high

  * Rebuilt using latest ncurses again, so that it does not segfault.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 21 Jul 1998 19:49:42 +0200

dialog (0.9a-12) frozen unstable; urgency=high

  * Rebuilt using latest ncurses. Fixes Bug #22593: dialog always segfaults.
  * Replaced guage.c by the one in dialog 0.6z, which is known to work.
    Fixes Bug #18284: unstable dialog.
  * Fixed a typo in control file (backgroud -> background).

 -- Santiago Vila <sanvila@ctv.es>  Sun, 24 May 1998 14:23:16 +0200

dialog (0.9a-11) unstable; urgency=low

  * Merged old README.debian into copyright file.
  * dialog.c: dialog_input_result printed with "%s" format.
    This was Bug #9913, fixed by Bill Mitchell, but the change was lost.
  * debian/rules and Makefile: prefix includes "usr".
  * debian/rules: make OPTIM="-O2 -g -Wall".
  * Pristine source, .depend is not removed in clean target. Instead, it
    is made zero lenght (otherwise it would not work *without* fakeroot).
  * Compressed changelog.Debian.
  * Removed debstd dependency.
  * New maintainer.
    Changes in previous non-maintainer releases:
    Vincent Renardias <vincent@waw.com>:
  * Added /usr/lib/libdialog.a library (Bug #7309).
  * Added /usr/lib/perl5/dialog.pl interface (Bug #9889).
  * Added '^U' support in input box (Bug #9915, patch by joey@debian.org).
  * Wrote patch to fix core-dumping problem (Bug #13170).
    Sven Rudolph <sr1@inf.tu-dresden.de>:
  * First libc6 release.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 16 Dec 1997 13:50:16 +0100

dialog (0.9a-10) stable unstable; urgency=low

  * Reupload for stable.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 24 Jun 1997 12:34:14 +0200

dialog (0.9a-9) unstable; urgency=low

  * debmake "refresh" (it was using old debstd syntax).
  * Fixed file ownerships. Should close #6922, #8303, #9727 and #9878.
  * Orphaned the package.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 2 Jun 1997 12:04:42 +0200

dialog (0.9a-8) unstable; urgency=low

  * Permissions on i386 executable were incorrect (Bug #5287)

 -- Leland Lucius <llucius@debian.org>  Wed, 6 Nov 1996 18:36:11 -0800

dialog (0.9a-7) unstable; urgency=low

  * Got i386/m68k changes files screwed up.  8-(

 -- Leland Lucius <llucius@debian.org>  Sun, 3 Nov 1996 10:46:46 -0800

dialog (0.9a-6) unstable; urgency=low

  * Converted to new packaging format.
  * Corrected bug #3514.
  * Corrected bug #4385.
  * Corrected bug #4389.

 -- Leland Lucius <llucius@debian.org>  Sat, 2 Nov 1996 23:35:26 -0800

dialog (0.9a-5) unstable; urgency=low

  * Made architecture independent (Bug #3360).
  * Added extended description (Bug #3576).

 -- Leland Lucius <llucius@debian.org>  Sat, 2 Nov 1996 22:22:34 -0800
